<div class="base-container">
  <!-- Header Toolbar  -->

  <energy-platform-header
    [isLoggedIn]="!!(isLoggedIn | async)"
  ></energy-platform-header>

  <!-- Loading indication -->
  <!-- TEMP <div *ngIf="loaderService.isLoading | async" class="loader-container"> -->
  <mat-progress-bar *ngIf="false" mode="indeterminate"></mat-progress-bar>

  <!-- page content -->
  <div class="main-content">
    <router-outlet></router-outlet>
  </div>
  <!-- *ngIf="isLoggedIn" shows other footer if logged in-->
  <energy-platform-footer
    [isLoggedIn]="!!(isLoggedIn | async)"
  ></energy-platform-footer>
  <!--<energy-platform-flower-icons-definitions></energy-platform-flower-icons-definitions>-->
</div>
